---
apiVersion: gateway.networking.k8s.io/v1
kind: TLSRoute
metadata:
  name: authentik-ldaps
  namespace: authentik
spec:
  hostnames:
    - ldap.k8s.syd1.au.unkin.net
    - ldap.main.unkin.net
  parentRefs:
    - group: gateway.networking.k8s.io
      kind: Gateway
      name: authentik-ldap
      sectionName: ldaps-internal
    - group: gateway.networking.k8s.io
      kind: Gateway
      name: authentik-ldap
      sectionName: ldaps-main
  rules:
    - backendRefs:
        - group: ""
          kind: Service
          name: authentik-ldap
          port: 6636
          weight: 1
